Package: org.codehaus.groovy.macro.runtime

## [Java] Class MacroContext

- org.codehaus.groovy.macro.runtime.MacroContext

-     @Incubating
      public class MacroContext
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MacroContext(CompilationUnit compilationUnit, SourceUnit sourceUnit, MethodCallExpression call)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MethodCallExpression` | `getCall()` Returns: original method call expression
    `` | `public CompilationUnit` | `getCompilationUnit()` Returns: current compilation unit
    `` | `public SourceUnit` | `getSourceUnit()` Returns: current source unit

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public MacroContext(CompilationUnit compilationUnit, SourceUnit sourceUnit, MethodCallExpression call)

  - ### Method Detail

    - #### public MethodCallExpression getCall()

      Returns:
        original method call expression

    - #### public CompilationUnit getCompilationUnit()

      Returns:
        current compilation unit

    - #### public SourceUnit getSourceUnit()

      Returns:
        current source unit